<h2 class="projectDate">July 2019 - December 2019</h2>
<!-- DESCRIPTION -->

My first co-op was at <a class="moreInfoRef" href="truefit.com">True Fit Corporation</a>  as a DevOps co-op. At school, we learn a lot about Computer Science and a little bit about Data Science, but we do not really get a chance to learn DevOps. So there was a steep learning curve when I started my co-op.

I started with learning about the basics of DevOps and the purpose of automating the creation, maintenance, and deletion of platform infrastructure. My first objective was to bring up virtual machines on Google Cloud Platform using Terraform and configure them using Ansible.

Eventually, I was given a long term project from my team. My objective was to learn Gitlab's Continous Integration and Continous Deployment (CI/CD) Pipelines and integrate them into True Fit's CI/CD process. I would have to set up Gitlab Runners on Kubernetes Clusters to get these pipelines working. My company had never used Gitlab CI/CD nor have they used Kubernetes Clusters.

I initially ran into a lot of problems while getting the Gitlab Runners to work with our Kubernetes Cluster mostly because all of this was new to our team. I learned a lot about Proxy Servers, Networking, Terraform isolation, Docker containers, and Kubernetes Clusters/Node Pools/Nodes/Pods/Kubectl.

My particular objective using the Gitlab Runner was to try to get Terraform to work and have it comment the Terraform Plan code in the Merge Request through the Gitlab API. This was going to be True Fit's way to showcase the potential of Gitlab Runner to the rest of the team.

I was able to complete my project successfully.

Will add more soon.

<!--
<table>
<tbody>
<tr>
<td width="50%">The Team</td>
<td width="50%">Controlling the Rover</td>
</tr>
<tr>
<td>
          <img src="https://i.imgur.com/AdL0O6d.jpg" alt="Team Photo"></td>
<td>
          <img src="https://i.imgur.com/2GkdSl2.jpg" alt="Controlling the Rover Photo"></td>
<td></td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td width="50%">Showcasing Rover</td>
<td width="50%">Rover Close-up</td>
</tr>
<tr>
<td>
          <img src="https://i.imgur.com/I8Kf9IU.jpg" alt="Showing off Rover wide-angle Photo"></td>
<td>
          <img src="https://i.imgur.com/iATCf7G.jpg" alt="Showing off Rover Photo"></td>
</tr>
</tbody>
</table>
-->

<a class="moreInfoRef" href="/">Go Home</a>
